.top-footer {
  padding-top: 90px;
  padding-bottom: 60px;
  background-color: var(--color-primary);
  color: var(--color-white);
}
.top-footer__inner {
  max-width: 1176px;
  margin-inline: auto;
  padding-inline: 24px;
}
.top-footer__main {
  display: grid;
  grid-template-columns: 430fr 309fr 309fr;
  column-gap: 40px;
  margin-bottom: 45px;
}

.top-footer__brand {
  width: 260px;
  padding-top: 36px;
  text-align: center;
}
.top-footer__tagline {
  display: block;
  width: 195px;
  height: auto;
  margin: 0 auto;
}
.top-footer__logo-link {
  display: block;
  width: fit-content;
  margin: 32px auto 0;
  transition: opacity 0.3s;
}
.top-footer__logo-link:focus-visible {
  opacity: 0.7;
}
.top-footer__contact {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  margin-top: 32px;
  column-gap: 11px;
  padding: 14px 19px;
}
.top-footer__contact span:nth-child(1) {
  font-size: 19px;
  font-weight: 500;
  line-height: 9px;
  letter-spacing: 0.04em;
}
.top-footer__contact span:nth-child(2) {
  font-size: 13px;
  font-weight: 700;
  line-height: 20px;
  letter-spacing: 0.05em;
}
.top-footer__contact::after {
  content: none;
}
.top-footer__sns {
  display: flex;
  align-items: center;
  justify-content: center;
  column-gap: 20px;
  margin-top: 37px;
  line-height: 0;
}
.top-footer__sns-link {
  display: inline-block;
  transition: opacity 0.3s;
}
.top-footer__sns-link img {
  display: block;
}
.top-footer__sns-link:focus-visible {
  opacity: 0.7;
}

.top-footer__group + .top-footer__group {
  margin-top: 40px;
}
.top-footer__col--spaced .top-footer__group + .top-footer__group {
  margin-top: 57px;
}
.top-footer__col--spaced .top-footer__group + .top-footer__group--tight {
  margin-top: 52px;
}
.top-footer__head {
  border-bottom: 1px solid rgba(255, 255, 255, 0.5);
  > a {
    display: flex;
    flex-flow: row wrap;
    align-items: baseline;
    gap: 8px 12px;
    padding: 20px 0;
    line-height: 1;
    &:has(> img) {
      align-items: center;
    }
  }
}
.top-footer__head--link {
  transition: opacity 0.3s;
}
.top-footer__head--link:focus-visible {
  opacity: 0.7;
}
.top-footer__head-en {
  font-family: var(--font-en);
  font-size: 20px;
  font-weight: 500;
  letter-spacing: 0.04em;
}
.top-footer__head-jp {
  font-size: 12px;
  font-weight: 700;
  line-height: 18px;
  letter-spacing: 0.08em;
}
.top-footer__head--img {
  align-items: center;
}
.top-footer__head-img {
  display: block;
  width: 159px;
  height: auto;
}
.top-footer__head--external .top-footer__head-jp {
  display: flex;
  align-items: center;
  column-gap: 14px;
}
.top-footer__head--external .top-footer__head-jp::after {
  display: block;
  width: 14px;
  aspect-ratio: 1 / 1;
  background-color: var(--color-white);
  mask-image: url('../img/common/icon_external-link.svg');
  mask-repeat: no-repeat;
  mask-position: center;
  mask-size: contain;
  content: '';
}
.top-footer__links {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  margin-top: 15px;
}
.top-footer__link {
  font-size: 13px;
  font-weight: 700;
  line-height: 27px;
  letter-spacing: 0.05em;
  transition: opacity 0.3s;
}
.top-footer__link--en {
  font-family: var(--font-en);
}
.top-footer__link:focus-visible {
  opacity: 0.7;
}

.top-footer__utility {
  grid-column: 2 / -1;
  display: flex;
  align-items: center;
  column-gap: 24px;
  margin-top: 22px;
}
.top-footer__utility::before {
  flex: 1;
  height: 1px;
  background-color: rgba(255, 255, 255, 0.5);
  content: '';
}
.top-footer__util-links {
  display: flex;
  flex-wrap: wrap;
  gap: 8px 29px;
}
.top-footer__sub-link {
  font-size: 12px;
  letter-spacing: 0.05em;
  font-weight: 500;
  line-height: 1.15;
  transition: opacity 0.3s;
}
.top-footer__sub-link:focus-visible {
  opacity: 0.7;
}

.top-footer__bottom {
  display: grid;
  grid-template-columns: auto 1fr;
  gap: 30px;
  align-items: center;
  margin-top: 42px;
}
.top-footer__copy small {
  font-family: var(--font-en);
  font-size: 12px;
  font-weight: 500;
  letter-spacing: 0.06em;
}
.top-footer__policy {
  position: relative;
  display: flex;
  flex-direction: column;
  padding-left: 30px;
  max-width: 815px;
}
.top-footer__policy-row {
  display: flex;
  flex-wrap: wrap;
  gap: 6px 24px;

  font-size: 12px;
  letter-spacing: 0.05em;
  font-weight: 500;
}
.top-footer__policy::before {
  position: absolute;
  top: 50%;
  left: 0;
  translate: 0 -50%;
  width: 1px;
  height: calc(100% - 4px);
  background-color: rgba(255, 255, 255, 0.5);
  content: '';
}

@media (hover: hover) and (pointer: fine) {
  .top-footer__head--link:hover,
  .top-footer__link:hover,
  .top-footer__logo-link:hover,
  .top-footer__sub-link:hover,
  .top-footer__sns-link:hover {
    opacity: 0.7;
  }
}

@media (max-width: 1023px) {
  .top-footer__main {
    grid-template-columns: 1fr;
    /*row-gap: 18px;*/
  }

  .top-footer__brand {
    width: 100%;
    padding-top: 0;
    order: 2;
  }
  .top-footer__brand .top-footer__tagline,
  .top-footer__brand .top-footer__logo-link {
    display: none;
  }

  .top-footer__contact {
    margin-top: 40px;

    display: inline-flex;
    width: auto;
  }
  .top-footer__sns {
    margin-top: 32px;
  }

  .top-footer__col--spaced .top-footer__group + .top-footer__group,
  .top-footer__col--spaced .top-footer__group + .top-footer__group--tight {
    margin-top: 40px;
  }

  .top-footer__utility {
    grid-column: auto;
    flex-direction: column;
    align-items: stretch;
    row-gap: 18px;
    margin-top: 26px;
    order: 3;
  }
  .top-footer__utility::before {
    content: none;
  }
  .top-footer__util-links {
    gap: 0 20px;
    justify-content: center;
  }

  .top-footer__links li {
    line-height: 38px;
  }

  .top-footer__bottom {
    grid-template-columns: 1fr;
    margin-top: 40px;
  }
  .top-footer__policy {
    order: 1;
    padding-left: 0;
    padding-bottom: 26px;
  }
  .top-footer__policy-row {
    flex-direction: column;
  }
  .top-footer__policy::before {
    top: auto;
    bottom: 0;
    translate: 0 0;
    width: 100%;
    height: 1px;
  }
  .top-footer__copy {
    order: 2;
    margin-top: 24px;
    text-align: center;
  }
}
